Subject: Re: bug#43993: parted in script mode still needs "yes/no" as input in "are you sure" questions

From: "Brian C. Lane" <[email-masked]>
Date: Wed, 14 Oct 2020 13:32:07 -0700

On Wed, Oct 14, 2020 at 08:55:45PM +0200, Michael Kopp via Bug reports for the GNU Parted disk partition editor wrote:
> Hi,
> 
> I wanted to use parted in a script and used the `--script` option.
> Unfortunately, I wanted to do something risky (resizing the partition 
> that is still mounted -- in my defense: It's only in a virtual machine), 
> and then the script will not continue but die with
> 
>      Warning: partition /dev/sda2 is being used.  Are you sure
>      you want to continue?

I'm reluctant to add something like this because of the potential for
data loss when things go wrong. The script mode defaults to 'safe' for
all of the prompts like this to avoid unexpected surprises.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart